> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.ordergroove.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.ordergroove.com/_mcp/server.

# Retrieve

GET https://restapi.ordergroove.com/orders/{order_id}/

Returns a single order by its unique identifier.

This endpoint is accessible with a recognized trust group by setting it as <trust_level: "recognized"> in the authentication string.

Reference: https://docs.ordergroove.com/reference/rest-rpc-api/orders/retrieve

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: ordergroove-restrpc
  version: 1.0.0
paths:
  /orders/{order_id}/:
    get:
      operationId: retrieve
      summary: Retrieve
      description: >-
        Returns a single order by its unique identifier.


        This endpoint is accessible with a recognized trust group by setting it
        as <trust_level: "recognized"> in the authentication string.
      tags:
        - orders
      parameters:
        - name: order_id
          in: path
          description: Unique order ID
          required: true
          schema:
            type: string
        - name: include_has_plan
          in: query
          description: >-
            If true, the response includes a has_plan field on the order object
            indicating whether the order contains at least one product with
            product_type=plan
          required: false
          schema:
            type: boolean
            default: false
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Orders_retrieve_Response_200'
        '403':
          description: '403'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Orders-retrieveRequestForbiddenError'
        '404':
          description: '404'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Orders-retrieveRequestNotFoundError'
servers:
  - url: https://restapi.ordergroove.com
    description: https://restapi.ordergroove.com
components:
  schemas:
    Orders_retrieve_Response_200:
      type: object
      properties:
        merchant:
          type: string
        customer:
          type: string
        payment:
          type: string
        shipping_address:
          type: string
        public_id:
          type: string
        sub_total:
          type: string
        tax_total:
          type: string
        shipping_total:
          type: string
        discount_total:
          type: string
        total:
          type: string
        created:
          type: string
        place:
          type: string
        cancelled:
          type: string
        tries:
          type: integer
          default: 0
        generic_error_count:
          type: integer
          default: 0
        status:
          type: integer
          default: 0
        type:
          type: integer
          default: 0
        order_merchant_id:
          type: string
        rejected_message:
          type: string
        extra_data:
          type: string
        locked:
          type: boolean
          default: true
        oos_free_shipping:
          type: boolean
          default: true
      title: Orders_retrieve_Response_200
    Orders-retrieveRequestForbiddenError:
      type: object
      properties:
        detail:
          type: string
      title: Orders-retrieveRequestForbiddenError
    Orders-retrieveRequestNotFoundError:
      type: object
      properties:
        detail:
          type: string
      title: Orders-retrieveRequestNotFoundError
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

```

## Examples



**Response**

```json
{}
```

**SDK Code**

```python Result
import requests

url = "https://restapi.ordergroove.com/orders/order_id/"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Result
const url = 'https://restapi.ordergroove.com/orders/order_id/';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Result
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://restapi.ordergroove.com/orders/order_id/"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Result
require 'uri'
require 'net/http'

url = URI("https://restapi.ordergroove.com/orders/order_id/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Result
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://restapi.ordergroove.com/orders/order_id/")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Result
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://restapi.ordergroove.com/orders/order_id/', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Result
using RestSharp;

var client = new RestClient("https://restapi.ordergroove.com/orders/order_id/");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Result
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://restapi.ordergroove.com/orders/order_id/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```